mxConstants (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxConstants

    java.lang.Object
      com.mxgraph.util.mxConstants

    public class mxConstants

extends Object

Contains all global constants.

Field Summary
`static String` | `ALIGN_BOTTOM` ALIGN_BOTTOM
`static String` | `ALIGN_CENTER` ALIGN_CENTER
`static String` | `ALIGN_LEFT` ALIGN_LEFT
`static String` | `ALIGN_MIDDLE` ALIGN_MIDDLE
`static String` | `ALIGN_RIGHT` ALIGN_RIGHT
`static String` | `ALIGN_TOP` ALIGN_TOP
`static String` | `ARROW_BLOCK` ARROW_BLOCK
`static String` | `ARROW_CLASSIC` ARROW_CLASSIC
`static String` | `ARROW_DIAMOND` ARROW_OPEN
`static String` | `ARROW_OPEN` ARROW_OPEN
`static String` | `ARROW_OVAL` ARROW_BLOCK
`static int` | `ARROW_SIZE` Defines the size of the arrowhead in the arrow shape.
`static int` | `ARROW_SPACING` Defines the spacing between the arrow shape and its terminals.
`static int` | `ARROW_WIDTH` Defines the width of the arrow shape.
`static boolean` | `CONNECT_HANDLE_ENABLED` Defines the default value for the connect handle.
`static int` | `CONNECT_HANDLE_SIZE` Defines the connect handle size.
`static float[]` | `DEFAULT_DASHED_PATTERN` Specifies the default dash pattern, 3 pixels solid, 3 pixels clear.
`static String` | `DEFAULT_FONTFAMILIES` Comma separated list of default fonts for CSS properties.
`static String` | `DEFAULT_FONTFAMILY` Defines the default font family.
`static int` | `DEFAULT_FONTSIZE` Defines the default font size.
`static double` | `DEFAULT_HOTSPOT` Defines the portion of the cell which is to be used as a connectable region.
`static int` | `DEFAULT_IMAGESIZE` Defines the default image size.
`static double` | `DEFAULT_LABEL_BUFFER` Specifies the default distance at 1.0 scale that the label curve is created from its base curve
`static int` | `DEFAULT_MARKERSIZE` Defines the default marker size.
`static int` | `DEFAULT_STARTSIZE` Defines the default start size for swimlanes.
`static double` | `DEG_PER_RAD` Defines the number of degrees per radian.
`static String` | `DIRECTION_EAST` DIRECTION_EAST
`static int` | `DIRECTION_MASK_ALL` DIRECTION_MASK_EAST
`static int` | `DIRECTION_MASK_EAST` DIRECTION_MASK_EAST
`static int` | `DIRECTION_MASK_NONE` DIRECTION_MASK_NONE
`static int` | `DIRECTION_MASK_NORTH` DIRECTION_MASK_NORTH
`static int` | `DIRECTION_MASK_SOUTH` DIRECTION_MASK_SOUTH
`static int` | `DIRECTION_MASK_WEST` DIRECTION_MASK_WEST
`static String` | `DIRECTION_NORTH` DIRECTION_NORTH
`static String` | `DIRECTION_SOUTH` DIRECTION_SOUTH
`static String` | `DIRECTION_WEST` DIRECTION_WEST
`static String` | `EDGESTYLE_ELBOW` Name of the elbow edge style.
`static String` | `EDGESTYLE_ENTITY_RELATION` Name of the entity relation edge style.
`static String` | `EDGESTYLE_LOOP` Name of the loop edge style.
`static String` | `EDGESTYLE_ORTHOGONAL` Name of the orthogonal edge style.
`static String` | `EDGESTYLE_SEGMENT` Name of the generic segment edge style.
`static String` | `EDGESTYLE_SIDETOSIDE` Name of the side to side edge style.
`static String` | `EDGESTYLE_TOPTOBOTTOM` Name of the top to bottom edge style.
`static String` | `ELBOW_HORIZONTAL` ELBOW_HORIZONTAL
`static String` | `ELBOW_VERTICAL` ELBOW_VERTICAL
`static int` | `ENTITY_SEGMENT` Defines the length of the horizontal segment of an Entity Relation.
`static int` | `FONT_BOLD` FONT_BOLD
`static int` | `FONT_ITALIC` FONT_ITALIC
`static int` | `FONT_SHADOW` FONT_SHADOW
`static int` | `FONT_UNDERLINE` FONT_UNDERLINE
`static int` | `HANDLE_SIZE` Defines the handle size.
`static int` | `LABEL_HANDLE_SIZE` Defines the handle size.
`static int` | `LABEL_INSET` Defines the inset in absolute pixels between the label bounding box and the label text.
`static double` | `LABEL_SCALE_BUFFER` Multiplier to the width that is passed into the word wrapping calculation See mxUtils.wordWrap for details
`static double` | `LINE_ARCSIZE` Defines the size of the arcs for rounded edges.
`static float` | `LINE_HEIGHT` Default line height for text output.
`static int` | `LINESPACING` Specifies the line spacing.
`static int` | `MAX_HOTSPOT_SIZE` Defines the maximum size in pixels of the portion of the cell which is to be used as a connectable region.
`static int` | `MIN_HOTSPOT_SIZE` Defines the minimum size in pixels of the portion of the cell which is to be used as a connectable region.
`static double` | `MIN_SCALE_FOR_ROUNDED_LINES` Defines the minimum scale at which rounded polylines should be painted.
`static String` | `NONE` Defines the value for none.
`static String` | `NS_SVG` Defines the SVG namespace.
`static String` | `NS_XHTML` Defines the XHTML namespace.
`static String` | `NS_XLINK` Defines the XLink namespace.
`static String` | `PERIMETER_ELLIPSE` Name of the ellipse perimeter.
`static String` | `PERIMETER_HEXAGON` Name of the hexagon perimeter.
`static String` | `PERIMETER_RECTANGLE` Name of the rectangle perimeter.
`static String` | `PERIMETER_RHOMBUS` Name of the rhombus perimeter.
`static String` | `PERIMETER_TRIANGLE` Name of the triangle perimeter.
`static double` | `PX_PER_PIXEL` Defines the ratio between px units in HTML markup and pixels on screen.
`static double` | `RAD_PER_DEG` Defines the number of radians per degree.
`static double` | `RECTANGLE_ROUNDING_FACTOR` Defines the rounding factor for rounded rectangles in percent between 0 and 1.
`static int` | `SHADOW_OFFSETX` Defines the x-offset to be used for shadows.
`static int` | `SHADOW_OFFSETY` Defines the y-offset to be used for shadows.
`static String` | `SHAPE_ACTOR` SHAPE_ACTOR
`static String` | `SHAPE_ARROW` SHAPE_ARROW
`static String` | `SHAPE_CLOUD` SHAPE_CLOUD
`static String` | `SHAPE_CONNECTOR` SHAPE_CONNECTOR
`static String` | `SHAPE_CURVE` SHAPE_ARROW
`static String` | `SHAPE_CYLINDER` SHAPE_CYLINDER
`static String` | `SHAPE_DOUBLE_ELLIPSE` SHAPE_DOUBLE_ELLIPSE
`static String` | `SHAPE_ELLIPSE` SHAPE_ELLIPSE
`static String` | `SHAPE_HEXAGON` SHAPE_HEXAGON
`static String` | `SHAPE_IMAGE` SHAPE_IMAGE
`static String` | `SHAPE_LABEL` SHAPE_LABEL
`static String` | `SHAPE_LINE` SHAPE_LINE
`static String` | `SHAPE_RECTANGLE` SHAPE_RECTANGLE
`static String` | `SHAPE_RHOMBUS` SHAPE_RHOMBUS
`static String` | `SHAPE_SWIMLANE` SHAPE_SWIMLANE
`static String` | `SHAPE_TRIANGLE` SHAPE_TRIANGLE
`static boolean` | `SPLIT_WORDS` Whether or not to split whole words when applying word wrapping in mxUtils.wordWrap.
`static int` | `STENCIL_SHADOW_OPACITY` Defines the default opacity for stencils shadows.
`static String` | `STENCIL_SHADOWCOLOR` Defines the default shadow color for stencils.
`static String` | `STYLE_ALIGN` Defines the key for the align style.
`static String` | `STYLE_AUTOSIZE` Defines the key for the autosize style.
`static String` | `STYLE_BENDABLE` Defines the key for the bendable style.
`static String` | `STYLE_CLONEABLE` Defines the key for the cloneable style.
`static String` | `STYLE_DASH_PATTERN` Defines the key for the dashed pattern style.
`static String` | `STYLE_DASHED` Defines the key for the dashed style.
`static String` | `STYLE_DELETABLE` Defines the key for the deletable style.
`static String` | `STYLE_DIRECTION` Defines the key for the direction style.
`static String` | `STYLE_EDGE` Takes a function that creates points.
`static String` | `STYLE_EDITABLE` Defines the key for the editable style.
`static String` | `STYLE_ELBOW` Defines the key for the elbow style.
`static String` | `STYLE_ENDARROW` Defines the key for the endArrow style.
`static String` | `STYLE_ENDFILL` Defines the key for the endFill style.
`static String` | `STYLE_ENDSIZE` Defines the key for the endSize style.
`static String` | `STYLE_ENTRY_PERIMETER` Defines if the perimeter should be used to find the exact entry point along the perimeter of the target.
`static String` | `STYLE_ENTRY_X` Defines the key for the horizontal relative coordinate connection point of an edge with its target terminal.
`static String` | `STYLE_ENTRY_Y` Defines the key for the vertical relative coordinate connection point of an edge with its target terminal.
`static String` | `STYLE_EXIT_PERIMETER` Defines if the perimeter should be used to find the exact entry point along the perimeter of the source.
`static String` | `STYLE_EXIT_X` Defines the key for the horizontal relative coordinate connection point of an edge with its source terminal.
`static String` | `STYLE_EXIT_Y` Defines the key for the vertical relative coordinate connection point of an edge with its source terminal.
`static String` | `STYLE_FILLCOLOR` Defines the key for the fillColor style.
`static String` | `STYLE_FOLDABLE` Defines the key for the foldable style.
`static String` | `STYLE_FONTCOLOR` Defines the key for the fontColor style.
`static String` | `STYLE_FONTFAMILY` Defines the key for the fontFamily style.
`static String` | `STYLE_FONTSIZE` Defines the key for the fontSize style (in points).
`static String` | `STYLE_FONTSTYLE` Defines the key for the fontStyle style.
`static String` | `STYLE_GLASS` Defines the key for the glass style.
`static String` | `STYLE_GRADIENT_DIRECTION` Defines the key for the gradient direction.
`static String` | `STYLE_GRADIENTCOLOR` Defines the key for the gradientColor style.
`static String` | `STYLE_HORIZONTAL` Defines the key for the horizontal style.
`static String` | `STYLE_IMAGE` Defines the key for the image style.
`static String` | `STYLE_IMAGE_ALIGN` Defines the key for the align style.
`static String` | `STYLE_IMAGE_BACKGROUND` Defines the key for the image background color.
`static String` | `STYLE_IMAGE_BORDER` Defines the key for the image border color.
`static String` | `STYLE_IMAGE_FLIPH` Defines the key for the horizontal image flip.
`static String` | `STYLE_IMAGE_FLIPV` Defines the key for the vertical image flip.
`static String` | `STYLE_IMAGE_HEIGHT` Defines the key for the imageHeight style The type of this value is `int`, the value is the image height in pixels and must be greater than 0.
`static String` | `STYLE_IMAGE_VERTICAL_ALIGN` Defines the key for the verticalAlign style.
`static String` | `STYLE_IMAGE_WIDTH` Defines the key for the imageWidth style.
`static String` | `STYLE_INDICATOR_COLOR` Defines the key for the indicatorColor style.
`static String` | `STYLE_INDICATOR_GRADIENTCOLOR` Defines the key for the indicatorGradientColor style.
`static String` | `STYLE_INDICATOR_HEIGHT` Defines the key for the indicatorHeight style (in px).
`static String` | `STYLE_INDICATOR_IMAGE` Defines the key for the indicatorImage style.
`static String` | `STYLE_INDICATOR_SHAPE` Defines the key for the indicatorShape style.
`static String` | `STYLE_INDICATOR_SPACING` Defines the key for the indicatorSpacing style (in px).
`static String` | `STYLE_INDICATOR_WIDTH` Defines the key for the indicatorWidth style (in px).
`static String` | `STYLE_LABEL_BACKGROUNDCOLOR` Defines the key for the label background color.
`static String` | `STYLE_LABEL_BORDERCOLOR` Defines the key for the label border color.
`static String` | `STYLE_LABEL_POSITION` Defines the key for the horizontal label position of vertices.
`static String` | `STYLE_LOOP` Defines the key for the loop style.
`static String` | `STYLE_MOVABLE` Defines the key for the movable style.
`static String` | `STYLE_NOEDGESTYLE` Defines the key for the noEdgeStyle style.
`static String` | `STYLE_NOLABEL` Defines the key for the noLabel style.
`static String` | `STYLE_OPACITY` Defines the key for the opacity style.
`static String` | `STYLE_ORTHOGONAL` Defines if the connection points on either end of the edge should be computed so that the edge is vertical or horizontal if possible and if the point is not at a fixed location.
`static String` | `STYLE_OVERFLOW` Defines the key for the overflow style.
`static String` | `STYLE_PERIMETER` Defines the key for the perimeter style.
`static String` | `STYLE_PERIMETER_SPACING` Defines the key for the perimeter spacing.
`static String` | `STYLE_PORT_CONSTRAINT` Defines the direction(s) that edges are allowed to connect to cells in.
`static String` | `STYLE_RESIZABLE` Defines the key for the resizable style.
`static String` | `STYLE_ROTATION` Defines the key for the rotation style.
`static String` | `STYLE_ROUNDED` Defines the key for the rounded style.
`static String` | `STYLE_ROUTING_CENTER_X` Defines the key for the horizontal routing center.
`static String` | `STYLE_ROUTING_CENTER_Y` Defines the key for the vertical routing center.
`static String` | `STYLE_SEGMENT` Defines the key for the segment style.
`static String` | `STYLE_SEPARATORCOLOR` Defines the key for the separatorColor style.
`static String` | `STYLE_SHADOW` Defines the key for the shadow style.
`static String` | `STYLE_SHAPE` Defines the key for the shape style.
`static String` | `STYLE_SOURCE_PERIMETER_SPACING` Defines the key for the source perimeter spacing.
`static String` | `STYLE_SOURCE_PORT` Defines the ID of the cell that should be used for computing the perimeter point of the source for an edge.
`static String` | `STYLE_SPACING` Defines the key for the spacing.
`static String` | `STYLE_SPACING_BOTTOM` Defines the key for the spacingBottom style The value represents the spacing, in pixels, added to the bottom side of a label in a vertex (style applies to vertices only).
`static String` | `STYLE_SPACING_LEFT` Defines the key for the spacingLeft style.
`static String` | `STYLE_SPACING_RIGHT` Defines the key for the spacingRight style The value represents the spacing, in pixels, added to the right side of a label in a vertex (style applies to vertices only).
`static String` | `STYLE_SPACING_TOP` Defines the key for the spacingTop style.
`static String` | `STYLE_STARTARROW` Defines the key for the startArrow style.
`static String` | `STYLE_STARTFILL` Defines the key for the startFill style.
`static String` | `STYLE_STARTSIZE` Defines the key for the startSize style.
`static String` | `STYLE_STENCIL_FLIPH` Defines the key for the horizontal stencil flip.
`static String` | `STYLE_STENCIL_FLIPV` Defines the key for the vertical stencil flip.
`static String` | `STYLE_STROKECOLOR` Defines the key for the strokeColor style.
`static String` | `STYLE_STROKEWIDTH` Defines the key for the strokeWidth style.
`static String` | `STYLE_TARGET_PERIMETER_SPACING` Defines the key for the target perimeter spacing.
`static String` | `STYLE_TARGET_PORT` Defines the ID of the cell that should be used for computing the perimeter point of the target for an edge.
`static String` | `STYLE_TEXT_OPACITY` Defines the key for the text opacity style.
`static String` | `STYLE_VERTICAL_ALIGN` Defines the key for the verticalAlign style.
`static String` | `STYLE_VERTICAL_LABEL_POSITION` Defines the key for the vertical label position of vertices.
`static String` | `STYLE_WHITE_SPACE` Defines the key for the white-space style.
`static String` | `SVG_SHADOWTRANSFORM` Defines the transformation used to draw shadows in SVG.
`static String` | `W3C_SHADOWCOLOR` Defines the color to be used to draw shadows in W3C standards.

Constructor Summary
`mxConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RAD_PER_DEG

    public static double RAD_PER_DEG

  Defines the number of radians per degree.

### DEG_PER_RAD

    public static double DEG_PER_RAD

  Defines the number of degrees per radian.

### PX_PER_PIXEL

    public static double PX_PER_PIXEL

  Defines the ratio between px units in HTML markup and pixels on screen. Default is 0.77.

### MIN_SCALE_FOR_ROUNDED_LINES

    public static double MIN_SCALE_FOR_ROUNDED_LINES

  Defines the minimum scale at which rounded polylines should be painted. Default is 0.05.

### DEFAULT_HOTSPOT

    public static double DEFAULT_HOTSPOT

  Defines the portion of the cell which is to be used as a connectable region. Default is 0.3.

### MIN_HOTSPOT_SIZE

    public static int MIN_HOTSPOT_SIZE

  Defines the minimum size in pixels of the portion of the cell which is to be used as a connectable region. Default is 8.

### MAX_HOTSPOT_SIZE

    public static int MAX_HOTSPOT_SIZE

  Defines the maximum size in pixels of the portion of the cell which is to be used as a connectable region. Use 0 for no maximum. Default is 0.

### NS_SVG

    public static String NS_SVG

  Defines the SVG namespace.

### NS_XHTML

    public static String NS_XHTML

  Defines the XHTML namespace.

### NS_XLINK

    public static String NS_XLINK

  Defines the XLink namespace.

### DEFAULT_FONTFAMILIES

    public static String DEFAULT_FONTFAMILIES

  Comma separated list of default fonts for CSS properties. And the default font family value for new image export. Default is Arial, Helvetica.

### DEFAULT_FONTFAMILY

    public static String DEFAULT_FONTFAMILY

  Defines the default font family. Default is "Dialog". (To be replaced with Font.DIALOG after EOL of Java 1.5.)

### DEFAULT_FONTSIZE

    public static int DEFAULT_FONTSIZE

  Defines the default font size. Default is 11.

### DEFAULT_STARTSIZE

    public static int DEFAULT_STARTSIZE

  Defines the default start size for swimlanes. Default is 40.

### LINE_HEIGHT

    public static float LINE_HEIGHT

  Default line height for text output. Default is 1.2. This is ignored for HTML in the current version of Java. See http://docs.oracle.com/javase/6/docs/api/index.html?javax/swing/text/html/CSS.html

### LINESPACING

    public static int LINESPACING

  Specifies the line spacing. Default is 0.

### SPLIT_WORDS

    public static boolean SPLIT_WORDS

  Whether or not to split whole words when applying word wrapping in mxUtils.wordWrap.

### LABEL_INSET

    public static int LABEL_INSET

  Defines the inset in absolute pixels between the label bounding box and the label text. Default is 3.

### LABEL_SCALE_BUFFER

    public static double LABEL_SCALE_BUFFER

  Multiplier to the width that is passed into the word wrapping calculation See mxUtils.wordWrap for details

### DEFAULT_MARKERSIZE

    public static int DEFAULT_MARKERSIZE

  Defines the default marker size. Default is 6.

### DEFAULT_IMAGESIZE

    public static int DEFAULT_IMAGESIZE

  Defines the default image size. Default is 24.

### STENCIL_SHADOW_OPACITY

    public static int STENCIL_SHADOW_OPACITY

  Defines the default opacity for stencils shadows. Default is 1.

### STENCIL_SHADOWCOLOR

    public static String STENCIL_SHADOWCOLOR

  Defines the default shadow color for stencils. Default is "gray".

### SHADOW_OFFSETX

    public static int SHADOW_OFFSETX

  Defines the x-offset to be used for shadows. Default is 2.

### SHADOW_OFFSETY

    public static int SHADOW_OFFSETY

  Defines the y-offset to be used for shadows. Default is 3.

### W3C_SHADOWCOLOR

    public static String W3C_SHADOWCOLOR

  Defines the color to be used to draw shadows in W3C standards. Default is gray.

### SVG_SHADOWTRANSFORM

    public static String SVG_SHADOWTRANSFORM

  Defines the transformation used to draw shadows in SVG.

### DEFAULT_DASHED_PATTERN

    public static float[] DEFAULT_DASHED_PATTERN

  Specifies the default dash pattern, 3 pixels solid, 3 pixels clear.

### DEFAULT_LABEL_BUFFER

    public static double DEFAULT_LABEL_BUFFER

  Specifies the default distance at 1.0 scale that the label curve is created from its base curve

### HANDLE_SIZE

    public static int HANDLE_SIZE

  Defines the handle size. Default is 7.

### LABEL_HANDLE_SIZE

    public static int LABEL_HANDLE_SIZE

  Defines the handle size. Default is 4.

### CONNECT_HANDLE_ENABLED

    public static boolean CONNECT_HANDLE_ENABLED

  Defines the default value for the connect handle. Default is false.

### CONNECT_HANDLE_SIZE

    public static int CONNECT_HANDLE_SIZE

  Defines the connect handle size. Default is 8.

### ENTITY_SEGMENT

    public static int ENTITY_SEGMENT

  Defines the length of the horizontal segment of an Entity Relation. This can be overridden using mxConstants.STYLE_SEGMENT style. Default is 30.

### RECTANGLE_ROUNDING_FACTOR

    public static double RECTANGLE_ROUNDING_FACTOR

  Defines the rounding factor for rounded rectangles in percent between 0 and 1. Values should be smaller than 0.5. Default is 0.15.

### LINE_ARCSIZE

    public static double LINE_ARCSIZE

  Defines the size of the arcs for rounded edges. Default is 10.

### ARROW_SPACING

    public static int ARROW_SPACING

  Defines the spacing between the arrow shape and its terminals. Default is 10.

### ARROW_WIDTH

    public static int ARROW_WIDTH

  Defines the width of the arrow shape. Default is 30.

### ARROW_SIZE

    public static int ARROW_SIZE

  Defines the size of the arrowhead in the arrow shape. Default is 30.

### NONE

    public static String NONE

  Defines the value for none. Default is "none".

### STYLE_PERIMETER

    public static String STYLE_PERIMETER

  Defines the key for the perimeter style. This is a function that defines the perimeter around a particular shape. Possible values are the functions defined in mxPerimeter that use the `mxPerimeterFunction` interface. Alternatively, the constants in this class that start with `PERIMETER_` may be used to access perimeter styles in `mxStyleRegistry`.

### STYLE_SOURCE_PORT

    public static String STYLE_SOURCE_PORT

  Defines the ID of the cell that should be used for computing the perimeter point of the source for an edge. This allows for graphically connecting to a cell while keeping the actual terminal of the edge.

### STYLE_TARGET_PORT

    public static String STYLE_TARGET_PORT

  Defines the ID of the cell that should be used for computing the perimeter point of the target for an edge. This allows for graphically connecting to a cell while keeping the actual terminal of the edge.

### STYLE_PORT_CONSTRAINT

    public static String STYLE_PORT_CONSTRAINT

  Defines the direction(s) that edges are allowed to connect to cells in. Possible values are `DIRECTION_NORTH, DIRECTION_SOUTH, DIRECTION_EAST` and `DIRECTION_WEST`.

### STYLE_OPACITY

    public static String STYLE_OPACITY

  Defines the key for the opacity style. The type of the value is `float` and the possible range is 0-100.

### STYLE_TEXT_OPACITY

    public static String STYLE_TEXT_OPACITY

  Defines the key for the text opacity style. The type of the value is `float` and the possible range is 0-100.

### STYLE_OVERFLOW

    public static String STYLE_OVERFLOW

  Defines the key for the overflow style. Possible values are "visible", "hidden" and "fill". The default value is "visible". This value specifies how overlapping vertex labels are handles. A value of "visible" will show the complete label. A value of "hidden" will clip the label so that it does not overlap the vertex bounds. A value of "fill" will use the vertex bounds for the label.

  See Also:
    `mxGraph.isLabelClipped(Object)`

### STYLE_ORTHOGONAL

    public static String STYLE_ORTHOGONAL

  Defines if the connection points on either end of the edge should be computed so that the edge is vertical or horizontal if possible and if the point is not at a fixed location. Default is false. This is used in mxGraph.isOrthogonal, which also returns true if the edgeStyle of the edge is an elbow or entity.

### STYLE_EXIT_X

    public static String STYLE_EXIT_X

  Defines the key for the horizontal relative coordinate connection point of an edge with its source terminal.

### STYLE_EXIT_Y

    public static String STYLE_EXIT_Y

  Defines the key for the vertical relative coordinate connection point of an edge with its source terminal.

### STYLE_EXIT_PERIMETER

    public static String STYLE_EXIT_PERIMETER

  Defines if the perimeter should be used to find the exact entry point along the perimeter of the source. Possible values are 0 (false) and 1 (true). Default is 1 (true).

### STYLE_ENTRY_X

    public static String STYLE_ENTRY_X

  Defines the key for the horizontal relative coordinate connection point of an edge with its target terminal.

### STYLE_ENTRY_Y

    public static String STYLE_ENTRY_Y

  Defines the key for the vertical relative coordinate connection point of an edge with its target terminal.

### STYLE_ENTRY_PERIMETER

    public static String STYLE_ENTRY_PERIMETER

  Defines if the perimeter should be used to find the exact entry point along the perimeter of the target. Possible values are 0 (false) and 1 (true). Default is 1 (true).

### STYLE_WHITE_SPACE

    public static String STYLE_WHITE_SPACE

  Defines the key for the white-space style. Possible values are "nowrap" and "wrap". The default value is "nowrap". This value specifies how white-space inside a HTML vertex label should be handled. A value of "nowrap" means the text will never wrap to the next line until a linefeed is encountered. A value of "wrap" means text will wrap when necessary.

### STYLE_ROTATION

    public static String STYLE_ROTATION

  Defines the key for the rotation style. The type of the value is `double` and the possible range is 0-360.

### STYLE_FILLCOLOR

    public static String STYLE_FILLCOLOR

  Defines the key for the fillColor style. The value is a string expression supported by mxUtils.parseColor.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_GRADIENTCOLOR

    public static String STYLE_GRADIENTCOLOR

  Defines the key for the gradientColor style. The value is a string expression supported by mxUtils.parseColor. This is ignored if no fill color is defined.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_GRADIENT_DIRECTION

    public static String STYLE_GRADIENT_DIRECTION

  Defines the key for the gradient direction. Possible values are `DIRECTION_EAST`, `DIRECTION_WEST`, `DIRECTION_NORTH` and `DIRECTION_SOUTH`. Default is `DIRECTION_SOUTH`. Generally, and by default in mxGraph, gradient painting is done from the value of `STYLE_FILLCOLOR` to the value of `STYLE_GRADIENTCOLOR`. Taking the example of `DIRECTION_NORTH`, this means `STYLE_FILLCOLOR` color at the bottom of paint pattern and `STYLE_GRADIENTCOLOR` at top, with a gradient in-between.

### STYLE_STROKECOLOR

    public static String STYLE_STROKECOLOR

  Defines the key for the strokeColor style. The value is a string expression supported by mxUtils.parseColor.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_SEPARATORCOLOR

    public static String STYLE_SEPARATORCOLOR

  Defines the key for the separatorColor style. The value is a string expression supported by mxUtils.parseColor. This style is only used for SHAPE_SWIMLANE shapes.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_STROKEWIDTH

    public static String STYLE_STROKEWIDTH

  Defines the key for the strokeWidth style. The type of the value is `float` and the possible range is any non-negative value. The value reflects the stroke width in pixels.

### STYLE_ALIGN

    public static String STYLE_ALIGN

  Defines the key for the align style. Possible values are `ALIGN_LEFT`, `ALIGN_CENTER` and `ALIGN_RIGHT`. This value defines how the lines of the label are horizontally aligned. `ALIGN_LEFT` mean label text lines are aligned to left of the label bounds, `ALIGN_RIGHT` to the right of the label bounds and `ALIGN_CENTER` means the center of the text lines are aligned in the center of the label bounds. Note this value doesn't affect the positioning of the overall label bounds relative to the vertex, to move the label bounds horizontally, use `STYLE_LABEL_POSITION`.

### STYLE_VERTICAL_ALIGN

    public static String STYLE_VERTICAL_ALIGN

  Defines the key for the verticalAlign style. Possible values are `ALIGN_TOP`, `ALIGN_MIDDLE` and `ALIGN_BOTTOM`. This value defines how the lines of the label are vertically aligned. `ALIGN_TOP` means the topmost label text line is aligned against the top of the label bounds, `ALIGN_BOTTOM` means the bottom-most label text line is aligned against the bottom of the label bounds and `ALIGN_MIDDLE` means there is equal spacing between the topmost text label line and the top of the label bounds and the bottom-most text label line and the bottom of the label bounds. Note this value doesn't affect the positioning of the overall label bounds relative to the vertex, to move the label bounds vertically, use `STYLE_VERTICAL_LABEL_POSITION`.

### STYLE_LABEL_POSITION

    public static String STYLE_LABEL_POSITION

  Defines the key for the horizontal label position of vertices. Possible values are `ALIGN_LEFT`, `ALIGN_CENTER` and `ALIGN_RIGHT`. Default is `ALIGN_CENTER`. The label align defines the position of the label relative to the cell. `ALIGN_LEFT` means the entire label bounds is placed completely just to the left of the vertex, `ALIGN_RIGHT` means adjust to the right and `ALIGN_CENTER` means the label bounds are vertically aligned with the bounds of the vertex. Note this value doesn't affect the positioning of label within the label bounds, to move the label horizontally within the label bounds, use `STYLE_ALIGN`.

### STYLE_VERTICAL_LABEL_POSITION

    public static String STYLE_VERTICAL_LABEL_POSITION

  Defines the key for the vertical label position of vertices. Possible values are `ALIGN_TOP`, `ALIGN_BOTTOM` and `ALIGN_MIDDLE`. Default is `ALIGN_MIDDLE`. The label align defines the position of the label relative to the cell. `ALIGN_TOP` means the entire label bounds is placed completely just on the top of the vertex, `ALIGN_BOTTOM` means adjust on the bottom and `ALIGN_MIDDLE` means the label bounds are horizontally aligned with the bounds of the vertex. Note this value doesn't affect the positioning of label within the label bounds, to move the label vertically within the label bounds, use `STYLE_VERTICAL_ALIGN`.

### STYLE_IMAGE_ALIGN

    public static String STYLE_IMAGE_ALIGN

  Defines the key for the align style. Possible values are `ALIGN_LEFT`, `ALIGN_CENTER` and `ALIGN_RIGHT`. The value defines how any image in the vertex label is aligned horizontally within the label bounds of a SHAPE_LABEL shape.

### STYLE_IMAGE_VERTICAL_ALIGN

    public static String STYLE_IMAGE_VERTICAL_ALIGN

  Defines the key for the verticalAlign style. Possible values are `ALIGN_TOP`, `ALIGN_MIDDLE` and `ALIGN_BOTTOM`. The value defines how any image in the vertex label is aligned vertically within the label bounds of a SHAPE_LABEL shape.

### STYLE_GLASS

    public static String STYLE_GLASS

  Defines the key for the glass style. Possible values are 0 (disabled) and 1(enabled). The default value is 0. This is used in mxLabel.

### STYLE_IMAGE

    public static String STYLE_IMAGE

  Defines the key for the image style. Possible values are any image URL, registered key in mxImageResources or short data URI as defined in mxImageBundle. The type of the value is `String`. This is the path to the image to image that is to be displayed within the label of a vertex. See mxGraphics2DCanvas.getImageForStyle, loadImage and setImageBasePath on how the image URL is resolved. Finally, mxUtils.loadImage is used for loading the image for a given value.

### STYLE_IMAGE_WIDTH

    public static String STYLE_IMAGE_WIDTH

  Defines the key for the imageWidth style. The type of this value is `int`, the value is the image width in pixels and must be greated than 0.

### STYLE_IMAGE_HEIGHT

    public static String STYLE_IMAGE_HEIGHT

  Defines the key for the imageHeight style The type of this value is `int`, the value is the image height in pixels and must be greater than 0.

### STYLE_IMAGE_BACKGROUND

    public static String STYLE_IMAGE_BACKGROUND

  Defines the key for the image background color. This style is only used for image shapes. Possible values are all HTML color names or HEX codes.

### STYLE_IMAGE_BORDER

    public static String STYLE_IMAGE_BORDER

  Defines the key for the image border color. This style is only used for image shapes. Possible values are all HTML color names or HEX codes.

### STYLE_IMAGE_FLIPH

    public static String STYLE_IMAGE_FLIPH

  Defines the key for the horizontal image flip. This style is only used in mxImageShape. Possible values are 0 and 1. Default is 0.

### STYLE_IMAGE_FLIPV

    public static String STYLE_IMAGE_FLIPV

  Defines the key for the vertical image flip. This style is only used in mxImageShape. Possible values are 0 and 1. Default is 0.

### STYLE_STENCIL_FLIPH

    public static String STYLE_STENCIL_FLIPH

  Defines the key for the horizontal stencil flip. This style is only used for . Possible values are 0 and 1. Default is 0.

### STYLE_STENCIL_FLIPV

    public static String STYLE_STENCIL_FLIPV

  Defines the key for the vertical stencil flip. This style is only used for . Possible values are 0 and 1. Default is 0.

### STYLE_NOLABEL

    public static String STYLE_NOLABEL

  Defines the key for the noLabel style. If this is true then no label is visible for a given cell. Possible values are true or false (1 or 0). Default is false.

### STYLE_NOEDGESTYLE

    public static String STYLE_NOEDGESTYLE

  Defines the key for the noEdgeStyle style. If this is true then no edge style is applied for a given edge. Possible values are true or false (1 or 0). Default is false.

### STYLE_LABEL_BACKGROUNDCOLOR

    public static String STYLE_LABEL_BACKGROUNDCOLOR

  Defines the key for the label background color. The value is a string expression supported by mxUtils.parseColor.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_LABEL_BORDERCOLOR

    public static String STYLE_LABEL_BORDERCOLOR

  Defines the key for the label border color. The value is a string expression supported by mxUtils.parseColor.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_INDICATOR_SHAPE

    public static String STYLE_INDICATOR_SHAPE

  Defines the key for the indicatorShape style. Possible values are any of the SHAPE_* constants.

### STYLE_INDICATOR_IMAGE

    public static String STYLE_INDICATOR_IMAGE

  Defines the key for the indicatorImage style. Possible values are any image URL, the type of the value is `String`.

### STYLE_INDICATOR_COLOR

    public static String STYLE_INDICATOR_COLOR

  Defines the key for the indicatorColor style. The value is a string expression supported by mxUtils.parseColor.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_INDICATOR_GRADIENTCOLOR

    public static String STYLE_INDICATOR_GRADIENTCOLOR

  Defines the key for the indicatorGradientColor style. The value is a string expression supported by mxUtils.parseColor. This style is only supported in SHAPE_LABEL shapes.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_INDICATOR_SPACING

    public static String STYLE_INDICATOR_SPACING

  Defines the key for the indicatorSpacing style (in px).

### STYLE_INDICATOR_WIDTH

    public static String STYLE_INDICATOR_WIDTH

  Defines the key for the indicatorWidth style (in px).

### STYLE_INDICATOR_HEIGHT

    public static String STYLE_INDICATOR_HEIGHT

  Defines the key for the indicatorHeight style (in px).

### STYLE_SHADOW

    public static String STYLE_SHADOW

  Defines the key for the shadow style. The type of the value is `boolean`. This style applies to vertices and arrow style edges.

### STYLE_SEGMENT

    public static String STYLE_SEGMENT

  Defines the key for the segment style. The type of this value is `float` and the value represents the size of the horizontal segment of the entity relation style. Default is ENTITY_SEGMENT.

### STYLE_ENDARROW

    public static String STYLE_ENDARROW

  Defines the key for the endArrow style. Possible values are all constants in this class that start with ARROW_. This style is supported in the `mxConnector` shape.

### STYLE_STARTARROW

    public static String STYLE_STARTARROW

  Defines the key for the startArrow style. Possible values are all constants in this class that start with ARROW_. See STYLE_ENDARROW. This style is supported in the mxConnector shape.

### STYLE_ENDSIZE

    public static String STYLE_ENDSIZE

  Defines the key for the endSize style. The type of this value is `float` and the value represents the size of the end marker in pixels.

### STYLE_STARTSIZE

    public static String STYLE_STARTSIZE

  Defines the key for the startSize style. The type of this value is `float` and the value represents the size of the start marker or the size of the swimlane title region depending on the shape it is used for.

### STYLE_ENDFILL

    public static String STYLE_ENDFILL

  Defines the key for the endFill style. Use 0 for no fill or 1 (default) for fill. (This style is only exported via .)

### STYLE_STARTFILL

    public static String STYLE_STARTFILL

  Defines the key for the startFill style. Use 0 for no fill or 1 (default) for fill. (This style is only exported via .)

### STYLE_DASHED

    public static String STYLE_DASHED

  Defines the key for the dashed style. The type of this value is `boolean` and the value determines whether or not an edge or border is drawn with a dashed pattern along the line.

### STYLE_DASH_PATTERN

    public static String STYLE_DASH_PATTERN

  Defines the key for the dashed pattern style. The type of this value is `float[]` and the value specifies the dashed pattern to apply to edges drawn with this style. This style allows the user to specify a custom-defined dash pattern. This is done using a series of numbers. Dash styles are defined in terms of the length of the dash (the drawn part of the stroke) and the length of the space between the dashes. The lengths are relative to the line width: a length of "1" is equal to the line width.

### STYLE_ROUNDED

    public static String STYLE_ROUNDED

  Defines the key for the rounded style. The type of this value is `boolean`. For edges this determines whether or not joins between edges segments are smoothed to a rounded finish. For vertices that have the rectangle shape, this determines whether or not the rectangle is rounded.

### STYLE_SOURCE_PERIMETER_SPACING

    public static String STYLE_SOURCE_PERIMETER_SPACING

  Defines the key for the source perimeter spacing. The type of this value is `double`. This is the distance between the source connection point of an edge and the perimeter of the source vertex in pixels. This style only applies to edges.

### STYLE_TARGET_PERIMETER_SPACING

    public static String STYLE_TARGET_PERIMETER_SPACING

  Defines the key for the target perimeter spacing. The type of this value is `double`. This is the distance between the target connection point of an edge and the perimeter of the target vertex in pixels. This style only applies to edges.

### STYLE_PERIMETER_SPACING

    public static String STYLE_PERIMETER_SPACING

  Defines the key for the perimeter spacing. This is the distance between the connection point and the perimeter in pixels. When used in a vertex style, this applies to all incoming edges to floating ports (edges that terminate on the perimeter of the vertex). When used in an edge style, this spacing applies to the source and target separately, if they terminate in floating ports (on the perimeter of the vertex).

### STYLE_SPACING

    public static String STYLE_SPACING

  Defines the key for the spacing. The value represents the spacing, in pixels, added to each side of a label in a vertex (style applies to vertices only).

### STYLE_SPACING_TOP

    public static String STYLE_SPACING_TOP

  Defines the key for the spacingTop style. The value represents the spacing, in pixels, added to the top side of a label in a vertex (style applies to vertices only).

### STYLE_SPACING_LEFT

    public static String STYLE_SPACING_LEFT

  Defines the key for the spacingLeft style. The value represents the spacing, in pixels, added to the left side of a label in a vertex (style applies to vertices only).

### STYLE_SPACING_BOTTOM

    public static String STYLE_SPACING_BOTTOM

  Defines the key for the spacingBottom style The value represents the spacing, in pixels, added to the bottom side of a label in a vertex (style applies to vertices only).

### STYLE_SPACING_RIGHT

    public static String STYLE_SPACING_RIGHT

  Defines the key for the spacingRight style The value represents the spacing, in pixels, added to the right side of a label in a vertex (style applies to vertices only).

### STYLE_HORIZONTAL

    public static String STYLE_HORIZONTAL

  Defines the key for the horizontal style. Possible values are `true` or `false`. This value only applies to vertices. If the `STYLE_SHAPE` is `SHAPE_SWIMLANE` a value of `false` indicates that the swimlane should be drawn vertically, `true` indicates to draw it horizontally. If the shape style does not indicate that this vertex is a swimlane, this value affects only whether the label is drawn horizontally or vertically.

### STYLE_DIRECTION

    public static String STYLE_DIRECTION

  Defines the key for the direction style. The direction style is used to specify the direction of certain shapes (eg. `mxTriangle`). Possible values are `DIRECTION_EAST` (default), `DIRECTION_WEST`, `DIRECTION_NORTH` and `DIRECTION_SOUTH`. This value only applies to vertices.

### STYLE_ELBOW

    public static String STYLE_ELBOW

  Defines the key for the elbow style. Possible values are `ELBOW_HORIZONTAL` and `ELBOW_VERTICAL`. Default is `ELBOW_HORIZONTAL`. This defines how the three segment orthogonal edge style leaves its terminal vertices. The vertical style leaves the terminal vertices at the top and bottom sides.

### STYLE_FONTCOLOR

    public static String STYLE_FONTCOLOR

  Defines the key for the fontColor style. The value is type `String` and of the expression supported by mxUtils.parseColor.

  See Also:
    `mxUtils.parseColor(String)`

### STYLE_FONTFAMILY

    public static String STYLE_FONTFAMILY

  Defines the key for the fontFamily style. Possible values are names such as Arial; Dialog; Verdana; Times New Roman. The value is of type `String`.

### STYLE_FONTSIZE

    public static String STYLE_FONTSIZE

  Defines the key for the fontSize style (in points). The type of the value is `int`.

### STYLE_FONTSTYLE

    public static String STYLE_FONTSTYLE

  Defines the key for the fontStyle style. Values may be any logical AND (sum) of FONT_BOLD, FONT_ITALIC, FONT_UNDERLINE and FONT_SHADOW. The type of the value is `int`.

### STYLE_AUTOSIZE

    public static String STYLE_AUTOSIZE

  Defines the key for the autosize style. This specifies if a cell should be resized automatically if the value has changed. Possible values are 0 or 1. Default is 0. See mxGraph.isAutoSizeCell. This is normally combined with STYLE_RESIZABLE to disable manual sizing.

### STYLE_FOLDABLE

    public static String STYLE_FOLDABLE

  Defines the key for the foldable style. This specifies if a cell is foldable using a folding icon. Possible values are 0 or 1. Default is 1. See mxGraph.isCellFoldable.

### STYLE_EDITABLE

    public static String STYLE_EDITABLE

  Defines the key for the editable style. This specifies if the value of a cell can be edited using the in-place editor. Possible values are 0 or 1. Default is 1. See mxGraph.isCellEditable.

### STYLE_BENDABLE

    public static String STYLE_BENDABLE

  Defines the key for the bendable style. This specifies if the control points of an edge can be moved. Possible values are 0 or 1. Default is 1. See mxGraph.isCellBendable.

### STYLE_MOVABLE

    public static String STYLE_MOVABLE

  Defines the key for the movable style. This specifies if a cell can be moved. Possible values are 0 or 1. Default is 1. See mxGraph.isCellMovable.

### STYLE_RESIZABLE

    public static String STYLE_RESIZABLE

  Defines the key for the resizable style. This specifies if a cell can be resized. Possible values are 0 or 1. Default is 1. See mxGraph.isCellResizable.

### STYLE_CLONEABLE

    public static String STYLE_CLONEABLE

  Defines the key for the cloneable style. This specifies if a cell can be cloned. Possible values are 0 or 1. Default is 1. See mxGraph.isCellCloneable.

### STYLE_DELETABLE

    public static String STYLE_DELETABLE

  Defines the key for the deletable style. This specifies if a cell can be deleted. Possible values are 0 or 1. Default is 1. See mxGraph.isCellDeletable.

### STYLE_SHAPE

    public static String STYLE_SHAPE

  Defines the key for the shape style. Possible values are any of the SHAPE_* constants.

### STYLE_EDGE

    public static String STYLE_EDGE

  Takes a function that creates points. Possible values are the functions defined in mxEdgeStyle.

### STYLE_LOOP

    public static String STYLE_LOOP

  Defines the key for the loop style. Possible values are the functions defined in mxEdgeStyle.

### STYLE_ROUTING_CENTER_X

    public static String STYLE_ROUTING_CENTER_X

  Defines the key for the horizontal routing center. Possible values are between -0.5 and 0.5. This is the relative offset from the center used for connecting edges. The type of this value is `float`.

### STYLE_ROUTING_CENTER_Y

    public static String STYLE_ROUTING_CENTER_Y

  Defines the key for the vertical routing center. Possible values are between -0.5 and 0.5. This is the relative offset from the center used for connecting edges. The type of this value is `float`.

### FONT_BOLD

    public static final int FONT_BOLD

  FONT_BOLD

  See Also:
    Constant Field Values

### FONT_ITALIC

    public static final int FONT_ITALIC

  FONT_ITALIC

  See Also:
    Constant Field Values

### FONT_UNDERLINE

    public static final int FONT_UNDERLINE

  FONT_UNDERLINE

  See Also:
    Constant Field Values

### FONT_SHADOW

    public static final int FONT_SHADOW

  FONT_SHADOW

  See Also:
    Constant Field Values

### SHAPE_RECTANGLE

    public static final String SHAPE_RECTANGLE

  SHAPE_RECTANGLE

  See Also:
    Constant Field Values

### SHAPE_ELLIPSE

    public static final String SHAPE_ELLIPSE

  SHAPE_ELLIPSE

  See Also:
    Constant Field Values

### SHAPE_DOUBLE_ELLIPSE

    public static final String SHAPE_DOUBLE_ELLIPSE

  SHAPE_DOUBLE_ELLIPSE

  See Also:
    Constant Field Values

### SHAPE_RHOMBUS

    public static final String SHAPE_RHOMBUS

  SHAPE_RHOMBUS

  See Also:
    Constant Field Values

### SHAPE_LINE

    public static final String SHAPE_LINE

  SHAPE_LINE

  See Also:
    Constant Field Values

### SHAPE_IMAGE

    public static final String SHAPE_IMAGE

  SHAPE_IMAGE

  See Also:
    Constant Field Values

### SHAPE_ARROW

    public static final String SHAPE_ARROW

  SHAPE_ARROW

  See Also:
    Constant Field Values

### SHAPE_CURVE

    public static final String SHAPE_CURVE

  SHAPE_ARROW

  See Also:
    Constant Field Values

### SHAPE_LABEL

    public static final String SHAPE_LABEL

  SHAPE_LABEL

  See Also:
    Constant Field Values

### SHAPE_CYLINDER

    public static final String SHAPE_CYLINDER

  SHAPE_CYLINDER

  See Also:
    Constant Field Values

### SHAPE_SWIMLANE

    public static final String SHAPE_SWIMLANE

  SHAPE_SWIMLANE

  See Also:
    Constant Field Values

### SHAPE_CONNECTOR

    public static final String SHAPE_CONNECTOR

  SHAPE_CONNECTOR

  See Also:
    Constant Field Values

### SHAPE_ACTOR

    public static final String SHAPE_ACTOR

  SHAPE_ACTOR

  See Also:
    Constant Field Values

### SHAPE_CLOUD

    public static final String SHAPE_CLOUD

  SHAPE_CLOUD

  See Also:
    Constant Field Values

### SHAPE_TRIANGLE

    public static final String SHAPE_TRIANGLE

  SHAPE_TRIANGLE

  See Also:
    Constant Field Values

### SHAPE_HEXAGON

    public static final String SHAPE_HEXAGON

  SHAPE_HEXAGON

  See Also:
    Constant Field Values

### ARROW_CLASSIC

    public static final String ARROW_CLASSIC

  ARROW_CLASSIC

  See Also:
    Constant Field Values

### ARROW_BLOCK

    public static final String ARROW_BLOCK

  ARROW_BLOCK

  See Also:
    Constant Field Values

### ARROW_OPEN

    public static final String ARROW_OPEN

  ARROW_OPEN

  See Also:
    Constant Field Values

### ARROW_OVAL

    public static final String ARROW_OVAL

  ARROW_BLOCK

  See Also:
    Constant Field Values

### ARROW_DIAMOND

    public static final String ARROW_DIAMOND

  ARROW_OPEN

  See Also:
    Constant Field Values

### ALIGN_LEFT

    public static final String ALIGN_LEFT

  ALIGN_LEFT

  See Also:
    Constant Field Values

### ALIGN_CENTER

    public static final String ALIGN_CENTER

  ALIGN_CENTER

  See Also:
    Constant Field Values

### ALIGN_RIGHT

    public static final String ALIGN_RIGHT

  ALIGN_RIGHT

  See Also:
    Constant Field Values

### ALIGN_TOP

    public static final String ALIGN_TOP

  ALIGN_TOP

  See Also:
    Constant Field Values

### ALIGN_MIDDLE

    public static final String ALIGN_MIDDLE

  ALIGN_MIDDLE

  See Also:
    Constant Field Values

### ALIGN_BOTTOM

    public static final String ALIGN_BOTTOM

  ALIGN_BOTTOM

  See Also:
    Constant Field Values

### DIRECTION_NORTH

    public static final String DIRECTION_NORTH

  DIRECTION_NORTH

  See Also:
    Constant Field Values

### DIRECTION_SOUTH

    public static final String DIRECTION_SOUTH

  DIRECTION_SOUTH

  See Also:
    Constant Field Values

### DIRECTION_EAST

    public static final String DIRECTION_EAST

  DIRECTION_EAST

  See Also:
    Constant Field Values

### DIRECTION_WEST

    public static final String DIRECTION_WEST

  DIRECTION_WEST

  See Also:
    Constant Field Values

### DIRECTION_MASK_NONE

    public static final int DIRECTION_MASK_NONE

  DIRECTION_MASK_NONE

  See Also:
    Constant Field Values

### DIRECTION_MASK_WEST

    public static final int DIRECTION_MASK_WEST

  DIRECTION_MASK_WEST

  See Also:
    Constant Field Values

### DIRECTION_MASK_NORTH

    public static final int DIRECTION_MASK_NORTH

  DIRECTION_MASK_NORTH

  See Also:
    Constant Field Values

### DIRECTION_MASK_SOUTH

    public static final int DIRECTION_MASK_SOUTH

  DIRECTION_MASK_SOUTH

  See Also:
    Constant Field Values

### DIRECTION_MASK_EAST

    public static final int DIRECTION_MASK_EAST

  DIRECTION_MASK_EAST

  See Also:
    Constant Field Values

### DIRECTION_MASK_ALL

    public static final int DIRECTION_MASK_ALL

  DIRECTION_MASK_EAST

  See Also:
    Constant Field Values

### ELBOW_VERTICAL

    public static final String ELBOW_VERTICAL

  ELBOW_VERTICAL

  See Also:
    Constant Field Values

### ELBOW_HORIZONTAL

    public static final String ELBOW_HORIZONTAL

  ELBOW_HORIZONTAL

  See Also:
    Constant Field Values

### EDGESTYLE_ELBOW

    public static final String EDGESTYLE_ELBOW

  Name of the elbow edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### EDGESTYLE_ENTITY_RELATION

    public static final String EDGESTYLE_ENTITY_RELATION

  Name of the entity relation edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### EDGESTYLE_LOOP

    public static final String EDGESTYLE_LOOP

  Name of the loop edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### EDGESTYLE_SIDETOSIDE

    public static final String EDGESTYLE_SIDETOSIDE

  Name of the side to side edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### EDGESTYLE_TOPTOBOTTOM

    public static final String EDGESTYLE_TOPTOBOTTOM

  Name of the top to bottom edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### EDGESTYLE_ORTHOGONAL

    public static final String EDGESTYLE_ORTHOGONAL

  Name of the orthogonal edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### EDGESTYLE_SEGMENT

    public static final String EDGESTYLE_SEGMENT

  Name of the generic segment edge style. Can be used as a string value for the STYLE_EDGE style.

  See Also:
    Constant Field Values

### PERIMETER_ELLIPSE

    public static final String PERIMETER_ELLIPSE

  Name of the ellipse perimeter. Can be used as a string value for the STYLE_PERIMETER style.

  See Also:
    Constant Field Values

### PERIMETER_RECTANGLE

    public static final String PERIMETER_RECTANGLE

  Name of the rectangle perimeter. Can be used as a string value for the STYLE_PERIMETER style.

  See Also:
    Constant Field Values

### PERIMETER_RHOMBUS

    public static final String PERIMETER_RHOMBUS

  Name of the rhombus perimeter. Can be used as a string value for the STYLE_PERIMETER style.

  See Also:
    Constant Field Values

### PERIMETER_TRIANGLE

    public static final String PERIMETER_TRIANGLE

  Name of the triangle perimeter. Can be used as a string value for the STYLE_PERIMETER style.

  See Also:
    Constant Field Values

### PERIMETER_HEXAGON

    public static final String PERIMETER_HEXAGON

  Name of the hexagon perimeter. Can be used as a string value for the STYLE_PERIMETER style.

  See Also:
    Constant Field Values

Constructor Detail

### mxConstants

    public mxConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.